WordPress.org

Ready to get started?Download WordPress

Forums

[resolved] Theme-Check Plugin syntax error (8 posts)

  1. llizard
    Member
    Posted 3 years ago #

    I have a customized theme. Since upgrading to WP3.0.5, my wordpress has been plagued with 500 internal server errors. I don't know if it is my host or my coding. In searching through this forum for a solution, I saw the suggestion to check my theme and so I uploaded the following plugin:

    http://wordpress.org/extend/plugins/theme-check/

    After activating the plugin, this is the result I see when going to the ThemeCheck page in the admin area:

    Parse error: syntax error, unexpected T_STRING in ../wordpress/wp-content/plugins/theme-check/checkbase.php on line 11

    Is this error because of my theme or because of the plugin? Whichever it is, what can I do to fix it?

    Thank you.

    EMorris, WinXP, Firefox3.6.8, WP3.0.5,

  2. Ganners
    Member
    Posted 3 years ago #

    Thats a plugin error. There are a few reasons this could happen I guess, my first guess would be its a htaccess problem, so try deleting your .htaccess file and see if that helps.

  3. llizard
    Member
    Posted 3 years ago #

    Am I correct that you are suggesting to delete the .htaccess file from the wordpress folder? As suspected, it made zero difference. The error message remains.

    It seems to me that any change would have to be to the plugin coding.

    EMorris, WinXP, Firefox3.6.8, WP3.0.5, MySQL 4.1.22

  4. Ganners
    Member
    Posted 3 years ago #

    The deleting of the htaccess file was to solve the 500 error code. To fix the plugin, just delete the plugin file from the directory or fix it yourself, i'd just remove it though.

  5. llizard
    Member
    Posted 3 years ago #

    But I want to use the plugin!

    Perhaps I need to reword the question...

    I have now installed a test wordpress - version 3.0.5 with the twenty ten theme and all the plugins that I have on my current wordpress. After activating the theme-check plugin, this is the result I see when going to the ThemeCheck page in the admin area:

    Parse error: syntax error, unexpected T_STRING in ../testwordpress/wp-content/plugins/theme-check/checkbase.php on line 11

    What version of MySQL is required for this plugin to work OR what changes should be made to checkbase.php on line 11 so that the plugin works with MySQL4?

    EMorris, WinXP, Firefox3.6.8, WP3.0.5, MySQL 4.1.22

  6. llizard
    Member
    Posted 3 years ago #

    After reading the following http://codex.wordpress.org/Switching_to_PHP5 I'm suspecting that the plugin failure is due to my webhost running PHP4 rather than PHP5. I have sent a request for support for PHP5. Fingers crossed that the request is granted AND that that is the solution....

  7. Ganners
    Member
    Posted 3 years ago #

    Yeah that would be it looking at the code, interface objects were only integrated in PHP5. I'm sure this will solve it.

  8. llizard
    Member
    Posted 3 years ago #

    Yes. I'm pleased to report that upgrading to php5 solves the problem.

Topic Closed

This topic has been closed to new replies.

About this Topic